{
  personal.home_modules = [
    (
      {pkgs, ...}: {
        programs.texlive = {
          enable = true;
          packageSet = pkgs.texlive;
          extraPackages = tpkgs: {
            inherit
              (tpkgs)
              scheme-medium
              dvisvgm
              dvipng # in-place output
              wrapfig
              amsmath # METH - I MEAN MATH !!!
              ulem
              hyperref
              capt-of
              etoolbox # various for the default config from emacs
              latex-uni8
              mlmodern # annoying font stuff
              asymptote # image things
              systeme
              xstring
              tikzfill # dependency of tcolorbox
              pdfcol # 
              pdfcolfoot # dependencies of tcolorbox
              tcolorbox # fancy color environments !!!
              ;
            #(setq org-latex-compiler "pdflatex")
            #(setq org-preview-latex-default-process "dvisvgm")
          };
        };
      }
    )
  ];
}
